## Apache Zeta Components Manual :: Docs For Class ezcDocumentBBCodeToken

### Document::ezcDocumentBBCodeToken

### Class ezcDocumentBBCodeToken

Struct for BBCode document document tokens

Source for this file: /Document/src/document/bbcode/token.php

    ezcBaseStruct
       |
       --ezcDocumentBBCodeToken

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentBBCodeTextLineToken | Struct for BBCode document text line tokens
ezcDocumentBBCodeSpecialCharsToken | Struct for BBCode document special character tokens
ezcDocumentBBCodeLiteralBlockToken | Struct for BBCode document literal block tokens
ezcDocumentBBCodeEndOfFileToken | Struct for BBCode document end of file tokens
ezcDocumentBBCodeLineBreakToken | Struct for BBCode document inline line break tokens
ezcDocumentBBCodeListItemToken | Struct for BBCode document nline markup tokens
ezcDocumentBBCodeWhitespaceToken | Struct for BBCode document whitespace tokens
ezcDocumentBBCodeNewLineToken | Struct for BBCode document new line tokens
ezcDocumentBBCodeTagCloseToken | Struct for BBCode document nline markup tokens
ezcDocumentBBCodeTagOpenToken | Struct for BBCode document nline markup tokens

### Member Variables

public mixed | `$content` Token content
public int | `$line` Line of the token in the source file
public int | `$position` Position of the token in its line.

Documentation generated by phpDocumentor 1.4.3